#include <gdk/gdkkeysyms.h>
    smart_button_init_t exec_button_info[]={
      {"t-terminal.png",N_("Terminal"),on_term,"sb_term",NULL,NULL,on_open_in_terminal_activate,GDK_T},
      {"t-find.png",N_("Find"),do_find,"sb_find",NULL,NULL,on_find_activate,GDK_F},
      {"t-xfdiff.png",N_("Differences"),sb_diff,NULL,NULL,NULL,on_differences_activate,0},
      {"gtk-print-preview",N_("Printer configuration"),sb_printer_configuration,NULL,NULL,NULL,on_printer_configuration_activate,0},
      {"gtk-justify-fill",N_("List Pasteboard"),sb_list_pasteboard,NULL,NULL,NULL,on_list_pasteboard_activate,GDK_L},
      {"gtk-clear",N_("Clear Pasteboard"),sb_clear_pasteboard,NULL,NULL,NULL,on_clear_pasteboard_activate,0},
      {NULL,NULL,NULL,NULL,NULL,NULL,NULL,0}
    };
    smart_button_init_t exec2_button_info[]={
      {"t-exec.png",N_("Run"),sb_run,"sb_run",NULL,NULL,on_run_activate,GDK_E},
      {"b-xffm_icon.png","xffm",sb_new_win,NULL,NULL,NULL,on_new_win,0},
      {"b-network.png","xfsamba4",sb_new_smb,"sb_new_smb",NULL,NULL,on_new_smb,0},
      {"b-fstab.png","xffstab",sb_new_fstab,"sb_new_fstab",NULL,NULL,on_new_fstab,0},
      {"b-book-open.png","xfbook",sb_new_book,"sb_new_book",NULL,NULL,on_new_book,0},
      {"b-trash.png","xftrash4",sb_new_trash,"sb_new_trash",NULL,NULL,on_new_trash,0},
      {"b-recent.png","xfrecent",sb_new_recent,"sb_new_recent",NULL,NULL,on_new_recent,0},
      {"b-frequent.png","xffrequent",sb_new_frequent,"sb_new_frequent",NULL,NULL,on_new_frequent,0},
      {NULL,NULL,NULL,NULL,NULL,NULL,NULL,0}
    };


    smart_button_init_t go_button_info[]={
      {"go-jump.png",N_("Go to"),goto_jump,"sb_goto_jump",NULL,NULL,on_jump_to2_activate,0},
      {"go-home.png",N_("Home"),go_home,"sb_go_home",NULL,NULL,on_home3_activate,0},
      {"go-back.png",N_("Back"),go_backward,"sb_go_backward",NULL,NULL,on_back2_activate,0},
      {"go-forward.png",N_("Forward"),go_forward,"sb_go_forward",NULL,NULL,on_forward2_activate,0},
      {"go-up.png",N_("Up"),go_up,"sb_go_up",NULL,NULL,on_up2_activate,0},
      {NULL,NULL,NULL,NULL,NULL,NULL,NULL,0}
    };

    smart_button_init_t view_button_info[]={
      {"gtk-preferences",N_("Preferences"),sb_preferences_menu,"sb_preferences_menu",NULL,NULL,NULL,0},
      {"d-image.png",N_("Themes"),sb_themes_menu,"sb_themes_menu",NULL,NULL,NULL,0},
      {"t-zoom-in.png",N_("Enlarge icons"),sb_zoom_in,"sb_zoom_in",NULL,NULL,on_zoom_in_activate,0},
      {"t-zoom-out.png",N_("Shrink icons"),sb_zoom_out,"sb_zoom_out",NULL,NULL,on_zoom_out_activate,0},
      {"t-xfce-setting-show.png","xfce-setting-show",sb_xfce_setting_show,"xfce_setting_show",NULL,NULL,on_xfce_setting_show,0},
      {NULL,NULL,NULL,NULL,NULL,NULL,NULL,0}
    };
    smart_button_init_t new_button_info[]={
      {"gtk-properties",N_("Properties"),tb_properties,"sb_properties",NULL,NULL,on_properties_activate,GDK_I},
      {"t-new-file.png",N_("New file"),tb_new,"sb_new_file",NULL,NULL,on_tb_new,0},
      {"t-new-directory.png",N_("New directory"),tb_newd,"sb_new_dir",NULL,NULL,on_tb_newd,0},
      {NULL,NULL,NULL,NULL,NULL,NULL,NULL,0}
    };
    
     smart_button_init_t single_selection_button_info[]={
      /*{"gtk-print",N_("Print"),tb_print,"sb_print","xfprint4",NULL,on_print_activate,GDK_P},*/
      {"gtk-print",N_("Print"),run_noterm,"sb_print","xfprint4",NULL,on_print_activate,GDK_P},
      {"gtk-dnd-multiple",N_("Duplicate"),sb_duplicate,"sb_duplicate",NULL,NULL,on_duplicate_activate,GDK_D},
      {"gtk-convert",N_("Symlink"),sb_symlink,"sb_symlink",NULL,NULL,on_symlink_activate,GDK_S},
      {"gtk-index",N_("Touch"),sb_touch,"sb_touch",NULL,NULL,on_touch_activate,GDK_M},
      {"gtk-save-as",N_("Rename"),sb_rename,"sb_rename",NULL,NULL,on_rename_activate,GDK_R},
      {"gtk-no",N_("Scramble"),sb_scramble,"sb_scramble",NULL,NULL,on_scramble_activate,0},
      {"gtk-yes",N_("Unscramble"),sb_unscramble,"sb_unscramble",NULL,NULL,on_unscramble_activate,0},
      {NULL,NULL,NULL,NULL,NULL,NULL,NULL,0}
    };
  
    smart_button_init_t normal_button_info1[]={
      /* this is how to chuck in a separator */
      {"-","-",NULL,NULL,NULL,NULL,NULL},
      {"gtk-cut",N_("Cut"),tb_cut,"nb_cut",NULL,NULL,NULL,0},
      {"gtk-copy",N_("Copy"),tb_copy,"nb_copy",NULL,NULL,NULL,0},
      {"gtk-paste",N_("Paste"),tb_paste,"nb_paste",NULL,NULL,NULL,0},
      {"gtk-delete",N_("Remove"),tb_delete,"nb_remove",NULL,NULL,NULL,0},
      {NULL,NULL,NULL,NULL,NULL,NULL,NULL,0}
    };
    smart_button_init_t normal_button_info2[]={
      {"-","-",NULL,NULL,NULL,NULL,NULL},
      {"t-reload.png",N_("Refresh"),sb_refresh,"nb_refresh",NULL,NULL,NULL,GDK_Z},
      {"t-quit.png",N_("Quit"),on_tb_close,"nb_close",NULL,NULL,NULL,GDK_Q},
      {NULL,NULL,NULL,NULL,NULL,NULL,NULL,0}
    };
    
    smart_button_init_t popup_button_info[]={
      {"gtk-cut",N_("Cut"),tb_cut,"cut1",NULL,NULL,on_cut_activate,GDK_X},
      {"gtk-copy",N_("Copy"),tb_copy,"copy1",NULL,NULL,on_copy_activate,GDK_C},
      {"gtk-paste",N_("Paste"),tb_paste,"paste1",NULL,NULL,on_paste_activate,GDK_V},
      {"gtk-open",N_("Open book"),NULL,"open_book2",NULL,NULL,on_open_book_activate,GDK_B},
      {"gtk-open",N_("Default book"),NULL,"default_book2",NULL,NULL,on_defaultbook_activate,0},
      {"gtk-dialog-question",N_("List books"),NULL,"remember1",NULL,NULL,on_rememberbook_activate,0},
      {"gtk-new",N_("New book"),NULL,"new4",NULL,NULL,on_newbook_activate,0},
      {"gtk-save-as",N_("Save book"),NULL,"save_book2",NULL,NULL,on_save_book,0},
      {"gtk-sort-ascending",N_("Purge"),NULL,"purge_bookmarks1",NULL,NULL,on_purge_bookmarks1_activate,0},
      {"gtk-dialog-warning",N_("Delete all trash"),NULL,"delete_all_trash1",NULL,NULL,on_delete_all_trash,0},
      {"gtk-clear",N_("Clear"),NULL,"uncollect_trash1",NULL,NULL,on_uncollect_trash,0},
      {"gtk-clear",N_("Clear"),NULL,"clear_all_bookmarks",NULL,NULL,on_clear_all_bookmarks_activate,0},
      {"gtk-clear",N_("Clear"),NULL,"clear_frequent",NULL,NULL,on_clear_frequent_activate,0},
      {"gtk-clear",N_("Clear"),NULL,"clear_all_results",NULL,NULL,on_clear_all_results_activate,0},
      {"gtk-clear",N_("Clear"),NULL,"clear_recent",NULL,NULL,on_clear_recent_activate,0},
       {"gtk-undo",N_("Remove item from frequent"),NULL,"undo_frequent",NULL,NULL,on_undo_history_activate,0},
      {"gtk-undo",N_("Remove item from recent"),NULL,"undo_recent",NULL,NULL,on_undo_history_activate,0},
      {"gtk-undo",N_("Remove item from results"),NULL,"remove_from_results",NULL,NULL,on_remove_from_results_activate,0},
      {"gtk-undo",N_("Remove item from book"),NULL,"remove_from_bookmarks",NULL,NULL,on_remove_from_bookmarks_activate,0},
      {"gtk-undo",N_("Remove item from trash"),NULL,"uncollect_from_trash",NULL,NULL,on_uncollect_from_trash_activate,0},
      {"gtk-delete",N_("Delete"),NULL,"remove1",NULL,NULL,on_remove_activate,0},
      {"-","-",NULL,"popup_separator1",NULL,NULL,NULL},
      {"gtk-remove",N_("Hide branch"),NULL,"hide_branch",NULL,NULL,hide_branch_activate,0},
      {"gtk-undelete",N_("Collect trash"),NULL,"collect_trash1",NULL,NULL,on_collect_trash1_activate,0},
      {"gtk-dialog-question",N_("Set frequency threshold"),NULL,"set_frequency_threshold2",NULL,NULL,on_set_frequency_threshold_activate,0},
      {"gtk-dialog-question",N_("Set recent threshold"),NULL,"set_recent_threshold2",NULL,NULL,on_set_recent_threshold_activate,0},
     {"gtk-zoom-fit",N_("Preview this image"),NULL,"preview_this_image",NULL,NULL,on_preview_this_image_activate,0},
      {"gtk-dialog-info",N_("Disk usage"),NULL,"popup_disk_usage",NULL,NULL,on_countfiles_activate,GDK_Y},
      {"gtk-apply",N_("Select all"),NULL,"select_all2",NULL,NULL,on_select_all_activate,GDK_A},
      {"gtk-quit",N_("Quit"),NULL,"salir1",NULL,NULL,on_close_activate,GDK_Q},
      {NULL,NULL,NULL,NULL,NULL,NULL,NULL,0}
    };


    
    toggle_button_init_t toggle_columns_info[]={
      {N_("Date"),"date5",toggle_preference,(gpointer)((long)(SHOW_DATE|INDIVIDUAL_TOGGLE))},
      {N_("Size"),"size5",toggle_preference,(gpointer)((long)(SHOW_SIZE|INDIVIDUAL_TOGGLE))},
      {N_("UID"),"uid5",toggle_preference,(gpointer)((long)(SHOW_UID|INDIVIDUAL_TOGGLE))},
      {N_("GID"),"gid5",toggle_preference,(gpointer)((long)(SHOW_GID|INDIVIDUAL_TOGGLE))},
      {N_("Mode"),"mode5",toggle_preference,(gpointer)((long)(SHOW_MODE|INDIVIDUAL_TOGGLE))},
      {NULL,NULL}
    };
    toggle_button_init_t toggle_branches_info[]={
      {N_("Home"),"home6",on_activate_branch,(gpointer)((long)(ROOT_FILES))},
      {N_("SMB Network"),"network6",on_activate_branch,(gpointer)((long)(ROOT_NETWORK))},
      {N_("Book"),"book6",on_activate_branch,(gpointer)((long)(ROOT_BOOKMARKS))},
      {N_("Fstab"),"fstab6",on_activate_branch,(gpointer)((long)(ROOT_FSTAB))},
      {N_("Frequent"),"frequent6",on_activate_branch,(gpointer)((long)(ROOT_FREQUENT))},
      {N_("Recent"),"recent6",on_activate_branch,(gpointer)((long)(ROOT_RECENT))},
      {N_("Trash"),"trash6",on_activate_branch,(gpointer)((long)(ROOT_TRASH))},
      {NULL,NULL}
    };
   
 

